* SPSS Categories (1990) Figure 7.1a The Hartigan hardware data.
 
DATA LIST / THREAD 1(A) HEAD 3(A) INDHEAD 5(A)
 BOTTOM 7(A) LENGTH 9 BRASS 11(A) OBJECT 13-18(A).
VARIABLE LABELS HEAD 'Head form'
 INDHEAD 'Indentation of head'
 BOTTOM 'Bottom shape'
 LENGTH 'Length in half inches'.
VALUE LABELS
 THREAD 'Y' 'Yes Thread' 'N' 'No_Thread'
 /HEAD 'F' 'FLAT' 'U' 'CUP' 'O' 'CONE' 'R' 'ROUND' 'Y' 'CYLINDER'
 /INDHEAD 'N' 'NONE' 'T' 'STAR' 'L' 'SLIT'
 /BOTTOM 'S' 'sharp' 'F' 'flat'
 /BRASS 'Y' 'YesBr' 'N' 'NotBr'
 /LENGTH 1 '1/2 in' 2 '1 in' 3 '1 1/2 in'
         4 '2_in' 5 '2_1/2 in'.
BEGIN DATA
N F N S 1 N TACK
N F N S 4 N NAILl
N F N S 2 N NAIL2
N F N S 2 N NAIL3
N F N S 2 N NAIL4
N F N S 2 N NAIL5
N U N S 5 N NAIL6
N U N S 3 N NAIL7
N U N S 3 N NAIL8
Y O T S 5 N SCREWl
Y R L S 4 N SCREW2
Y Y L S 4 N SCREW3
Y R L S 2 N SCREW4
Y Y L S 2 N SCREW5
Y R L F 4 N BOLTl
Y O L F 1 N BOLT2
Y Y L F 1 N BOLT3
Y Y L F 1 N BOLT4
Y Y L F 1 N BOLT5
Y Y L F 1 N BOLT6
N F N S 1 Y TACKl
N F N S 1 Y TACK2
N F N S 1 Y NAILB
Y O L S 1 Y SCREWB
END DATA.
AUTORECODE VARIABLES=THREAD,HEAD,INDHEAD,BOTTOM,BRASS,OBJECT
 /INTO THREADN,HEADN,INDHEADN,BOTTOMN,BRASSN,OBJECTN.
 
 
HOMALS VARIABLES=THREADN(2) HEADN(5) INDHEADN(3)
 BOTTOMN(2) LENGTH(5) BRASSN(2) OBJECTN(24)
 /ANALYSIS=THREADN HEADN INDHEADN BOTTOMN LENGTH BRASSN
 /DIMENSION=2
 /PRINT=DEFAULT OBJECT
 /PLOT=DISCRIM OBJECT(THREADN HEADN INDHEADN BOTTOMN LENGTH
  BRASSN OBJECTN) QUANT
 /SAVE=SC.

HOMALS
  /VARIABLES=threadn(2) headn(5) indheadn(3) bottomn(2) length(5) brassn(2)
  objectn(24)
  /ANALYSIS=threadn  headn  indheadn  bottomn  length  brassn
  /DIMENSION=2
  /PRINT FREQ EIGEN DISCRIM QUANT OBJECT
  /PLOT QUANT OBJECT( objectn  ) DISCRIM NDIM(ALL,MAX)
  /MAXITER = 100
  /CONVERGENCE = .00001 .

set lowres = on.
HOMALS
  /VARIABLES=threadn(2) headn(5) indheadn(3) bottomn(2) length(5) brassn(2)
  objectn(24)
  /ANALYSIS=threadn  headn  indheadn  bottomn  length  brassn
  /DIMENSION=2
  /PRINT EIGEN DISCRIM QUANT OBJECT
  /PLOT QUANT OBJECT( objectn  ) DISCRIM NDIM(ALL,MAX)
  /MAXITER = 100
  /CONVERGENCE = .00001 .

